Bug 50070 - [i965 regression] Mesa xdemo wincopy segfault
[i965 regression] Mesa xdemo wincopy segfault
Status: VERIFIED FIXED
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965
8.0
All Linux (All)
: high major
Assigned To: Ian Romanick
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-17 18:48 UTC by ye.tian
Modified: 2012-06-07 00:41 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ye.tian 2012-05-17 18:48:04 UTC
System Environment:       
--------------------------
Libdrm:		(master)2.4.33-20-gd72a44c7c4f5eea9c1e5bb0c36cb9e0224b9ca22
Mesa:		(8.0)fa68a8bae3961808288cfd84d5a7843f6fc0f317
Xserver:		(server-1.12-branch)xorg-server-1.12.1
Xf86_video_intel:		(master)2.19.0-36-ga3d37fb29f8dffb0e370ad95783994aaa7eccfaf
Cairo:		(master)dbc0efad7e565558a3abf7f69d7675efddc4688d
Libva:		(master)aa8d1caa96eb2f83f4e24d7a7f400a675f6611d0
Libva_intel_driver:		(master)d0dfefde77ebe6093e304a84df796c6e1157f00a
Kernel:		(drm-intel-fixes) 2e7a44814d802c8ba479164b8924070cd908d6b5

Bug detailed description:
-----------------------------
Press Esc to exit
Press 'f' to toggle front/back buffer drawing
Segmentation fault (core dumped)


Reproduce steps:
----------------------------
1. xinit
2. ./wincopy
Comment 1 zhao jian 2012-05-18 07:01:28 UTC
It also existed on SandyBridge and G45 platforms.
Comment 2 ye.tian 2012-05-21 19:35:35 UTC
Backtrace on IVB and G45
#0  _mesa_WindowPos3dvMESA (v=0x0) at main/rastpos.c:393
#1  0x00000000004017c9 in Redraw () at wincopy.c:163
#2  0x00000000004018d5 in EventLoop () at wincopy.c:232
#3  0x00000000004013a9 in main (argc=<optimized out>, argv=<optimized out>) at wincopy.c:312

Backtrace on SandyBridge
#0  0x00000030790e6408 in poll () from /lib64/libc.so.6
#1  0x00007ffff738587a in _xcb_conn_wait (c=0x604310, cond=<optimized out>, vector=0x0, count=0x0) at xcb_conn.c:306
#2  0x00007ffff73878ec in xcb_wait_for_reply (c=0x604310, request=3250, e=0x7fffffffdc98) at xcb_in.c:390
#3  0x00007ffff75dad7d in _XReply (dpy=0x603010, rep=0x7fffffffdcf0, extra=0, discard=0) at xcb_io.c:601
#4  0x00007ffff7b57192 in DRI2GetBuffersWithFormat (dpy=0x603010, drawable=6291461, width=0x93c8f8, height=0x93c8fc, attachments=0x907420,
    count=1, outCount=0x7fffffffde2c) at dri2.c:470
#5  0x00007ffff7b54bc9 in dri2GetBuffersWithFormat (driDrawable=<optimized out>, width=0x93c8f8, height=0x93c8fc,
    attachments=<optimized out>, count=<optimized out>, out_count=0x7fffffffde2c, loaderPrivate=0x93e160) at dri2_glx.c:771
#6  0x00007ffff6127a8d in intel_query_dri2_buffers_with_separate_stencil (count=0x7fffffffde2c, attachments=<optimized out>,
    buffers=<optimized out>, drawable=0x93c8d0, intel=0x7ffff7aef040) at intel_context.c:1181
#7  intel_update_renderbuffers (context=<optimized out>, drawable=0x93c8d0) at intel_context.c:304
#8  0x00007ffff61286f2 in intel_prepare_render (intel=<optimized out>) at intel_context.c:396
#9  0x00007ffff612881a in intelMakeCurrent (driContextPriv=0x61fd20, driDrawPriv=0x93c8d0, driReadPriv=0x7eb280) at intel_context.c:872
#10 0x00007ffff61780ff in driBindContext (pcp=<optimized out>, pdp=<optimized out>, prp=<optimized out>) at ../common/dri_util.c:330
#11 0x00007ffff7b5610f in dri2_bind_context (context=0x612050, old=<optimized out>, draw=<optimized out>, read=<optimized out>)
    at dri2_glx.c:154
#12 0x00007ffff7b2ee40 in MakeContextCurrent (dpy=0x603010, draw=6291461, read=6291459, gc_user=0x612050) at glxcurrent.c:269
#13 0x0000000000401434 in Redraw () at wincopy.c:149
#14 0x0000000000401635 in EventLoop () at wincopy.c:232
#15 0x00000000004019eb in main (argc=<optimized out>, argv=<optimized out>) at wincopy.c:312
Comment 3 Gordon Jin 2012-06-06 23:39:26 UTC
Does master work?
Comment 4 ye.tian 2012-06-07 00:27:02 UTC
This bug has been settled at Mesa:(8.0)3d657b14b4cab98a2945904823e78cd8950944f4 mark as resolved and fixed.
Comment 5 ye.tian 2012-06-07 00:41:41 UTC
Verified by Ye Tian<yex.tian@intel.com>.